@import "../../../assets/styles/color.scss";

.header-logo-container{
  width: 170px;
}

.box-icon-search{
  background-color: white !important;
  border-right-style: none !important;
  border-radius: 3px 0px 0px 3px !important;
}

.border-bottom-header{
  border-bottom-style: solid;
  border-color: $blue-primary !important;
}

.icon-header {
  width: 25px;
}

.nav-link {
  cursor: pointer;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
  background-color: #17a2b8;
}

.topbar-nav-right li {
  border-right: none;
}

.notification .dropdown-menu {
  top: 60px;
  right: 0px;
  left: unset;
  width: 460px;
  box-shadow: 0px 5px 7px -1px #c1c1c1;
  padding-bottom: 0px;
  padding: 0px;
}

.dropdown-menu:before {
  content: "";
  position: absolute;
  top: -20px;
  left: 45px;
  border: 10px solid $soft-gray;
  border-color: transparent transparent $soft-gray transparent;
}

.head {
  padding: 5px 15px;
  border-radius: 3px 3px 0px 0px;
  width: 100%;
  line-height: normal;
}

.footer {
  padding: 5px 15px;
  border-radius: 0px 0px 3px 3px;
  width: 100%;
  line-height: normal;
}

.notification-box {
  padding: 10px 0px;
  width: 100% !important;
  font-size: 15px !important;
  overflow: auto;
}

.notification-box {
  line-height: normal;
}
.sub-level-menu {
  height: 250px;
  overflow: auto;
  padding: 0;
  ul {
    padding: 0;
    margin: 0;
  }
}

.bg-gray {
  background-color: #eee;
}

.head a {
  padding: 0px !important;
}
.bg-dark {
  background-color: #6c757d !important;
}
.notification-area {
  i {
    font-size: 30px;
    margin-top: 13px;
  }
  position: relative;
  .count {
    position: absolute;
    top: -12px;
    background-color: #fff;
    border-radius: 50px;
    width: 23px;
    height: 15px;
    right: -10px;
    padding: 7px 12px;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    height: 15px;
    text-align: center;
    .number {
      position: absolute;
      top: 6px;
      color: #fd2f43;
      left: 0;
      font-size: 13px;
      line-height: 0;
      width: 100%;
      font-weight: 600;
    }
  }
}
.dropdown-toggle::after {
  display: none;
}
.fs-27 {
  font-size: 27px;
}
@media (max-width: 640px) {
  .dropdown-menu {
    top: 50px;
    left: -16px;
    width: 290px;
  }

  .nav {
    display: block;
  }

  .nav .nav-item,
  .nav .nav-item a {
    padding-left: 0px;
  }

  .message {
    font-size: 13px;
  }
}

@media (max-width: 992px) {
  .nav-item-collapse {
    display: none !important;
  }

  .header-search-area {
    width: 75% !important;
  }

  .header-action-area{
    justify-content: center !important;
  }

  .border-bottom-header{
    border-bottom-style: none !important;
  }

  .header-container{
    border-bottom-style: solid;
    border-color: $blue-primary !important;
    margin: 0 1rem 0 1rem !important;
  }

  .header-action-continer {
    margin-left: 1rem!important;
    margin-right: 1rem!important;
  }

}

@media (min-width: 992px) {
  .nav-item-collapse-toggle {
    display: none !important;
  }
}

@media(max-width: 672px) {
  .header-search-area {
    width: 85% !important;
  }

  .header-logo-container{
    width: 80px !important;
  }

  .logo-lg{
    min-width: 80px !important;
  }

  .box-icon-search{
    display: none !important;
  }

  ::ng-deep .input-group>.custom-select:not(:first-child), .input-group>.form-control:not(:first-child){
    border-top-left-radius: 3px !important;
    border-bottom-left-radius: 3px !important;
  }

}

@media(max-width: 480px) {
  .header-search-area {
    width: 95% !important;
  }

  .header-logo-container{
    width: 80px !important;
  }

  .logo-lg{
    min-width: 80px !important;
  }

  .header-action-continer {
    margin-left: 0.5rem!important;
    margin-right: 0.5rem!important;
  }

}
